package events

type ServiceEndEvent struct {
	Zone        int64
	Host        int64
	Port        uint16
	ServiceName string
}

func (i ServiceEndEvent) GetUrl() string {
	return SERVICE_END
}

func NewServiceEndEvent(z int64, h int64, p uint16, s string) *ServiceEndEvent {
	return &ServiceEndEvent{
		Zone:        z,
		Host:        h,
		Port:        p,
		ServiceName: s,
	}
}
